Subject: Re: [PATCH] Add git-filter-branch

From: Steven Grimm <[email-masked]>
Date: Sun, 03 Jun 2007 11:36:33 -0700

Jakub Narebski wrote:
> By the way, why did you change name to git-filter-branch, instead of
> leaving it [almost] as is, i.e. git-rewritehist. Or if you wanted to
> emphasize that it rewrites only one branch at a time, git-rewrite-branch?
>   

One argument against the name change is that one could easily imagine 
this tool being extended in the future to filter all branches rather 
than just one. For example, the "get rid of copyrighted file X in my 
repository" use case is a bit of a pain right now using 
cg-admin-rewritehist if the file was introduced early in the history of 
a large repo; in that scenario you want to be able to say, "filter this 
file out of my entire repo" without particularly caring which branches 
it appeared in (and without losing any of the branch structure in your 
history.)

-Steve